module SiteMandala

  class Resource
    
    class << self

      attr_accessor :resource
      
    end
    
    def self.all
      SiteMandala.get("/admin/#{resource}")
    end
    
    def self.find(id)
      SiteMandala.get("/admin/#{resource}/#{id}")
    end
    
    def self.create(data)
      SiteMandala.post("/admin/#{resource}", data)
    end
    
    def self.update(id, data)
      SiteMandala.patch("/admin/#{resource}/#{id}", data)
    end
    
    def self.delete(id)
      SiteMandala.delete("/admin/#{resource}/#{id}")
    end
    
  end

end